Horizon Kinetics Holding Corporation

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/horizon-kinetics-holding-corporation/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/horizon-kinetics-holding-corporation/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1703980800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/88000/000095017024125625/slgdd-20240930.htm",
    "holding_balance": 129.8,
    "holding_net_change": 129.8,
    "transaction_value_usd": 1555000.0,
    "average_entry_value_usd": 11979.97,
    "transaction_value_calculated": false
  },
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/88000/000095017025071619/hkhc-20250331.htm",
    "holding_balance": 131.0,
    "holding_net_change": 1.2,
    "transaction_value_usd": 147000.0,
    "average_entry_value_usd": 122500.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/horizon-kinetics-holding-corporation/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    131.0
  ],
  [
    1779062400000,
    131.0
  ],
  [
    1779148800000,
    131.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/horizon-kinetics-holding-corporation/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    10143311.66
  ],
  [
    1779062400000,
    10079699.37
  ],
  [
    1779148800000,
    10055561.31
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/horizon-kinetics-holding-corporation/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 28.0,
    "date": "2026-05-15",
    "high": 28.25,
    "open": 28.02,
    "close": 28.25,
    "volume": 2700
  },
  {
    "low": 28.0,
    "date": "2026-05-18",
    "high": 28.52,
    "open": 28.25,
    "close": 28.0,
    "volume": 10600
  },
  {
    "low": 28.0,
    "date": "2026-05-19",
    "high": 28.25,
    "open": 28.0,
    "close": 28.05,
    "volume": 1650
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/horizon-kinetics-holding-corporation/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 2.176,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/horizon-kinetics-holding-corporation/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 10.0,
  "six_month_return": -8.03,
  "three_month_return": 0.18
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/horizon-kinetics-holding-corporation/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 1.9,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "up"
}